Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation
Class AnnotationRepository

    java.lang.Object
      org.jboss.aop.annotation.AnnotationRepository

public class AnnotationRepository
extends Object

Repository for annotations that is used by the ClassAdvisor to override annotations.

Version:
  $Revision: 1.10 $
Author:
  Bill Burke

Constructor Summary
`AnnotationRepository()`

Method Summary
`void` | `addAnnotation(javassist.CtMember m, String annotation)`
`void` | `addAnnotation(Member m, Class annotation, Object value)`
`void` | `addAnnotation(Member m, String annotation, Object value)`
`void` | `addClassAnnotation(Class annotation, Object value)`
`void` | `addClassAnnotation(String annotation, String value)`
`void` | `disableAnnotation(Member m, String annotation)`
`void` | `disableAnnotation(String annotation)`
`void` | `enableAnnotation(String annotation)`
`protected Object` | `extractAnnotation(Object value, Class annotation)`
`Map` | `getAnnotations()`
`Map` | `getClassAnnotations()`
`boolean` | `hasAnnotation(javassist.CtMember m, String annotation)`
`boolean` | `hasAnnotation(Member m, Class annotation)`
`boolean` | `hasAnnotation(Member m, String annotation)`
`boolean` | `hasClassAnnotation(Class annotation)`
`boolean` | `hasClassAnnotation(String annotation)`
`boolean` | `isDisabled(Class annotation)`
`boolean` | `isDisabled(Member m, Class annotation)`
`boolean` | `isDisabled(Member m, String annotation)`
`boolean` | `isDisabled(String annotation)`
`Object` | `resolveAnnotation(Member m, Class annotation)`
`protected Object` | `resolveAnnotation(Member m, String annotation)`
`Object` | `resolveClassAnnotation(Class annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationRepository

    public AnnotationRepository()

Method Detail

### getAnnotations

    public Map getAnnotations()

### getClassAnnotations

    public Map getClassAnnotations()

### addClassAnnotation

    public void addClassAnnotation(String annotation,
                                   String value)

### addClassAnnotation

    public void addClassAnnotation(Class annotation,
                                   Object value)

### resolveClassAnnotation

    public Object resolveClassAnnotation(Class annotation)

### resolveAnnotation

    public Object resolveAnnotation(Member m,
                                    Class annotation)

### extractAnnotation

    protected Object extractAnnotation(Object value,
                                       Class annotation)

### resolveAnnotation

    protected Object resolveAnnotation(Member m,
                                       String annotation)

### disableAnnotation

    public void disableAnnotation(Member m,
                                  String annotation)

### disableAnnotation

    public void disableAnnotation(String annotation)

### enableAnnotation

    public void enableAnnotation(String annotation)

### isDisabled

    public boolean isDisabled(Member m,
                              Class annotation)

### isDisabled

    public boolean isDisabled(Member m,
                              String annotation)

### isDisabled

    public boolean isDisabled(Class annotation)

### isDisabled

    public boolean isDisabled(String annotation)

### addAnnotation

    public void addAnnotation(Member m,
                              Class annotation,
                              Object value)

### addAnnotation

    public void addAnnotation(Member m,
                              String annotation,
                              Object value)

### hasClassAnnotation

    public boolean hasClassAnnotation(String annotation)

### hasClassAnnotation

    public boolean hasClassAnnotation(Class annotation)

### hasAnnotation

    public boolean hasAnnotation(Member m,
                                 Class annotation)

### hasAnnotation

    public boolean hasAnnotation(Member m,
                                 String annotation)

### hasAnnotation

    public boolean hasAnnotation(javassist.CtMember m,
                                 String annotation)

### addAnnotation

    public void addAnnotation(javassist.CtMember m,
                              String annotation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.